/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package misclases;

import javax.swing.JOptionPane;

/**
 *
 * @author Tec. Móvil
 */
public class JintNotaVenta extends javax.swing.JInternalFrame {

    /**
     * Creates new form JintNotaVenta
     */
    public JintNotaVenta() {
        initComponents();
        this.deshabilitar();
    }
    
    public void deshabilitar(){
        this.txtNumNota.setEnabled(false);
        this.txtCliente.setEnabled(false);
        this.txtConcepto.setEnabled(false);
        this.txtTotal1.setEnabled(false);
        this.txtDia.setEnabled(false);
        this.txtMes.setEnabled(false);
        this.txtAño.setEnabled(false);
        this.txtImpuesto.setEnabled(false);
        this.txtTotalPagar.setEnabled(false);
        this.txtFechaVenta.setEnabled(false);
        this.rdbContado.setEnabled(false);
        this.rdbCredito.setEnabled(false);
        
        this.btnMostrar.setEnabled(false);
        this.btnGuardar.setEnabled(false);
    }
    
    public void habilitar(){
        this.txtNumNota.setEnabled(!false);
        this.txtCliente.setEnabled(!false);
        this.txtConcepto.setEnabled(!false);
        this.txtTotal1.setEnabled(!false);
        this.txtDia.setEnabled(!false);
        this.txtMes.setEnabled(!false);
        this.txtAño.setEnabled(!false);
        this.rdbContado.setEnabled(true);
        this.rdbCredito.setEnabled(true);
        
        this.btnGuardar.setEnabled(true);
    }
    
    public void limpiar(){
        this.txtAño.setText("");
        this.txtCliente.setText("");
        this.txtConcepto.setText("");
        this.txtDia.setText("");
        this.txtImpuesto.setText("");
        this.txtMes.setText("");
        this.txtNumNota.setText("");
        this.txtTotal1.setText("");
        this.txtTotalPagar.setText("");
        this.txtFechaVenta.setText("");
        
        this.txtNumNota.requestFocus();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGroup1 = new javax.swing.ButtonGroup();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        lblFecha = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        txtAño = new javax.swing.JTextField();
        txtNumNota = new javax.swing.JTextField();
        txtCliente = new javax.swing.JTextField();
        txtConcepto = new javax.swing.JTextField();
        rdbContado = new javax.swing.JRadioButton();
        rdbCredito = new javax.swing.JRadioButton();
        txtDia = new javax.swing.JTextField();
        txtMes = new javax.swing.JTextField();
        btnMostrar = new javax.swing.JButton();
        btnNuevo = new javax.swing.JButton();
        btnGuardar = new javax.swing.JButton();
        btnLimpiar = new javax.swing.JButton();
        btnCancelar = new javax.swing.JButton();
        btnCerrar = new javax.swing.JButton();
        jLabel11 = new javax.swing.JLabel();
        txtTotal1 = new javax.swing.JTextField();
        jPanel1 = new javax.swing.JPanel();
        txtTotalPagar = new javax.swing.JTextField();
        jLabel12 = new javax.swing.JLabel();
        jLabel13 = new javax.swing.JLabel();
        txtImpuesto = new javax.swing.JTextField();
        txtFechaVenta = new javax.swing.JTextField();

        setBackground(new java.awt.Color(0, 204, 204));
        setClosable(true);
        setIconifiable(true);
        setMaximizable(true);
        setResizable(true);
        setTitle("Nota de venta");
        getContentPane().setLayout(null);

        jLabel1.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        jLabel1.setText("Mes");
        getContentPane().add(jLabel1);
        jLabel1.setBounds(520, 60, 40, 15);

        jLabel2.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        jLabel2.setText("Año");
        getContentPane().add(jLabel2);
        jLabel2.setBounds(570, 60, 40, 15);

        jLabel4.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        jLabel4.setText("Dia");
        getContentPane().add(jLabel4);
        jLabel4.setBounds(470, 60, 50, 15);

        lblFecha.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        lblFecha.setText("Fecha :");
        getContentPane().add(lblFecha);
        lblFecha.setBounds(380, 20, 60, 30);

        jLabel6.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        jLabel6.setText("Cliente :");
        getContentPane().add(jLabel6);
        jLabel6.setBounds(30, 70, 100, 30);

        jLabel7.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        jLabel7.setText("Numero de Nota :");
        getContentPane().add(jLabel7);
        jLabel7.setBounds(30, 30, 100, 30);

        jLabel8.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        jLabel8.setText("Tipo :");
        getContentPane().add(jLabel8);
        jLabel8.setBounds(30, 190, 100, 20);

        jLabel9.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        jLabel9.setText("Concepto :");
        getContentPane().add(jLabel9);
        jLabel9.setBounds(30, 110, 100, 30);
        getContentPane().add(txtAño);
        txtAño.setBounds(560, 80, 40, 30);
        getContentPane().add(txtNumNota);
        txtNumNota.setBounds(150, 30, 70, 30);
        getContentPane().add(txtCliente);
        txtCliente.setBounds(150, 70, 220, 30);
        getContentPane().add(txtConcepto);
        txtConcepto.setBounds(150, 110, 220, 30);

        buttonGroup1.add(rdbContado);
        rdbContado.setSelected(true);
        rdbContado.setText("Contado");
        rdbContado.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                rdbContadoActionPerformed(evt);
            }
        });
        getContentPane().add(rdbContado);
        rdbContado.setBounds(110, 190, 67, 23);

        buttonGroup1.add(rdbCredito);
        rdbCredito.setText("Credito");
        rdbCredito.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                rdbCreditoActionPerformed(evt);
            }
        });
        getContentPane().add(rdbCredito);
        rdbCredito.setBounds(190, 190, 93, 23);
        getContentPane().add(txtDia);
        txtDia.setBounds(460, 80, 40, 30);
        getContentPane().add(txtMes);
        txtMes.setBounds(510, 80, 40, 30);

        btnMostrar.setText("Mostrar");
        btnMostrar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnMostrarActionPerformed(evt);
            }
        });
        getContentPane().add(btnMostrar);
        btnMostrar.setBounds(660, 100, 70, 30);

        btnNuevo.setText("Nuevo");
        btnNuevo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnNuevoActionPerformed(evt);
            }
        });
        getContentPane().add(btnNuevo);
        btnNuevo.setBounds(660, 20, 70, 30);

        btnGuardar.setText("Guardar");
        btnGuardar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnGuardarActionPerformed(evt);
            }
        });
        getContentPane().add(btnGuardar);
        btnGuardar.setBounds(660, 60, 71, 30);

        btnLimpiar.setText("Limpiar");
        btnLimpiar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnLimpiarActionPerformed(evt);
            }
        });
        getContentPane().add(btnLimpiar);
        btnLimpiar.setBounds(220, 390, 73, 23);

        btnCancelar.setText("Cancelar");
        btnCancelar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnCancelarActionPerformed(evt);
            }
        });
        getContentPane().add(btnCancelar);
        btnCancelar.setBounds(330, 390, 75, 23);

        btnCerrar.setText("Cerrar");
        btnCerrar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnCerrarActionPerformed(evt);
            }
        });
        getContentPane().add(btnCerrar);
        btnCerrar.setBounds(440, 390, 63, 23);

        jLabel11.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        jLabel11.setText("Total :");
        getContentPane().add(jLabel11);
        jLabel11.setBounds(30, 150, 100, 30);
        getContentPane().add(txtTotal1);
        txtTotal1.setBounds(150, 150, 70, 30);

        jPanel1.setLayout(null);
        jPanel1.add(txtTotalPagar);
        txtTotalPagar.setBounds(336, 38, 70, 30);

        jLabel12.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        jLabel12.setText("Impuesto :");
        jPanel1.add(jLabel12);
        jLabel12.setBounds(23, 37, 100, 30);

        jLabel13.setFont(new java.awt.Font("Tahoma", 0, 12)); // NOI18N
        jLabel13.setText("Total a Pagar :");
        jPanel1.add(jLabel13);
        jLabel13.setBounds(232, 37, 100, 30);
        jPanel1.add(txtImpuesto);
        txtImpuesto.setBounds(127, 38, 70, 30);

        getContentPane().add(jPanel1);
        jPanel1.setBounds(160, 230, 420, 100);
        getContentPane().add(txtFechaVenta);
        txtFechaVenta.setBounds(430, 20, 200, 30);

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void rdbContadoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_rdbContadoActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_rdbContadoActionPerformed

    private void rdbCreditoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_rdbCreditoActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_rdbCreditoActionPerformed

    private void btnMostrarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnMostrarActionPerformed
        // TODO add your handling code here:
        this.txtNumNota.setText(String.valueOf(nota.getNumero()));
        this.txtCliente.setText(nota.getNombreCliente());
        this.txtConcepto.setText(nota.getConcepto());
        this.txtTotal1.setText(String.valueOf(nota.getTotal()));
        this.txtDia.setText(String.valueOf(hoy.getDia()));
        this.txtMes.setText(String.valueOf(hoy.getMes()));
        this.txtAño.setText(String.valueOf(hoy.getAño()));
        this.txtFechaVenta.setText(String.valueOf(hoy.fechaFormatoLargo()));
        
        if(nota.getTipo()==2){
            rdbContado.setSelected(false);
            rdbCredito.setSelected(true);
        }
        else{
            rdbContado.setSelected(true);
            rdbCredito.setSelected(false);
        }
        
        this.txtImpuesto.setText(String.valueOf(nota.calcularImpuesto()));
        this.txtTotalPagar.setText(String.valueOf(nota.calcularTotalPagar()));
    }//GEN-LAST:event_btnMostrarActionPerformed

    private void btnNuevoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnNuevoActionPerformed
        // TODO add your handling code here:
        hoy = new Fecha();
        nota = new NotaVenta();
        this.habilitar();
    }//GEN-LAST:event_btnNuevoActionPerformed

    private void btnGuardarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnGuardarActionPerformed
        // TODO add your handling code here:
        if(validar()== false){
            //actualizar fecha
            hoy.setDia(Integer.parseInt(this.txtDia.getText()));
            hoy.setMes(Integer.parseInt(this.txtMes.getText()));
            hoy.setAño(Integer.parseInt(this.txtAño.getText()));
            
            //asignar la fecha a la nota de venta.
            nota.setFechaVenta(hoy);
            nota.setNumero(Integer.parseInt(this.txtNumNota.getText()));
            nota.setNombreCliente(this.txtCliente.getText());
            nota.setConcepto(this.txtConcepto.getText());
            nota.setTotal(Float.parseFloat(this.txtTotal1.getText()));
            
            if(this.rdbContado.isSelected()== true) nota.setTipo(1);
            else nota.setTipo(2);
            
            JOptionPane.showMessageDialog(this, "Se agurado con exito!");
            this.btnMostrar.setEnabled(true);
                    
        }
        else{
            JOptionPane.showMessageDialog(this, "falta informacion por aguardar!");
        }
    }//GEN-LAST:event_btnGuardarActionPerformed
    public boolean validar(){
        boolean exito = false;
        if(this.txtAño.getText().equals(""))exito=true;
        if(this.txtCliente.getText().equals(""))exito=true;
        if(this.txtConcepto.getText().equals(""))exito=true;
        if(this.txtDia.getText().equals(""))exito=true;
        if(this.txtMes.getText().equals(""))exito=true;
        if(this.txtNumNota.getText().equals(""))exito=true;
        if(this.txtTotal1.getText().equals(""))exito=true;     
        
        return exito;
    }
    private void btnLimpiarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnLimpiarActionPerformed
        // TODO add your handling code here:
        this.limpiar();
    }//GEN-LAST:event_btnLimpiarActionPerformed

    private void btnCerrarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnCerrarActionPerformed
        // TODO add your handling code here:
        int opcion = 0;
        
        opcion = JOptionPane.showConfirmDialog(this, "Deseas Salir?", "Cotizacion", JOptionPane.YES_NO_OPTION);
        if(opcion == JOptionPane.YES_OPTION){
            this.dispose();
        }
    }//GEN-LAST:event_btnCerrarActionPerformed

    private void btnCancelarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnCancelarActionPerformed
        // TODO add your handling code here:
        this.limpiar();
        this.deshabilitar();
    }//GEN-LAST:event_btnCancelarActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnCancelar;
    private javax.swing.JButton btnCerrar;
    private javax.swing.JButton btnGuardar;
    private javax.swing.JButton btnLimpiar;
    private javax.swing.JButton btnMostrar;
    private javax.swing.JButton btnNuevo;
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JLabel lblFecha;
    private javax.swing.JRadioButton rdbContado;
    private javax.swing.JRadioButton rdbCredito;
    private javax.swing.JTextField txtAño;
    private javax.swing.JTextField txtCliente;
    private javax.swing.JTextField txtConcepto;
    private javax.swing.JTextField txtDia;
    private javax.swing.JTextField txtFechaVenta;
    private javax.swing.JTextField txtImpuesto;
    private javax.swing.JTextField txtMes;
    private javax.swing.JTextField txtNumNota;
    private javax.swing.JTextField txtTotal1;
    private javax.swing.JTextField txtTotalPagar;
    // End of variables declaration//GEN-END:variables

    private Fecha hoy;
    private NotaVenta nota;
}
